#!/bin/sh

SET_VER=1.4.22

if [ $# -eq 0 ]; then
	echo "Usage:";
	echo "  $0 squirrelmail-20140402_0200-SVN.stable.tar.gz";
	exit 0;
fi

SVN_VER=`echo $1 | cut -d- -f2`

echo "Packing $SVN_VER";

tar xvzf $1

if [ ! -d squirrelmail.stable ]; then
	echo "Cannot find squirrelmail.stable";
	exit 1;
fi

cd squirrelmail.stable
mv squirrelmail squirrelmail-${SET_VER}-${SVN_VER}

tar cvzf ../squirrelmail-${SET_VER}-${SVN_VER}.tar.gz squirrelmail-${SET_VER}-${SVN_VER}

cd ..
rm -rf squirrelmail.stable

ls -la squirrelmail-${SET_VER}-${SVN_VER}.tar.gz

exit 0;
